import Vue from 'vue';

const directive = {
  loadmore: {
    inserted(el, binding) {
      let DOM = el;
      if (binding.arg) {
        DOM = el.querySelector(binding.arg);
      }
      DOM.addEventListener('scroll', function () {
        const CONDITION =
          this.scrollHeight - this.scrollTop <= this.clientHeight;
        if (CONDITION) {
          binding.value();
        }
      });
    },
  },
};

Object.keys(directive).forEach((k) => {
  Vue.directive(k, directive[k]);
});
