import './styles/reset.css';
import Vue from 'vue';
import axios from 'axios';
import App from './App.vue';
import router from './router';
import store from './store';
import '../utils/directives.js';

axios.defaults.withCredentials = true;
Vue.config.productionTip = false;
Vue.prototype.axios = axios;

window.getLimit(router, 'gic-cli').then(() => {
  new Vue({
    router,
    store,
    render: (h) => h(App),
  }).$mount('#app');
});
