import Vue from 'vue';
import VueRouter from 'vue-router';
import { projectName } from '@/config/index.js';
import moduleRoutes from './module-routes.js';

Vue.use(VueRouter);

const router = new VueRouter({
  base: `/${projectName}/`,
  routes: [...moduleRoutes],
});

export default router;
